LinuxQuestions.org
Go Job Hunting at the LQ Job Marketplace
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Server
User Name
Password
Linux - Server This forum is for the discussion of Linux Software used in a server related context.

Notices

Reply
 
Search this Thread
Old 03-05-2013, 02:30 AM   #1
barun mukhopadhyay
LQ Newbie
 
Registered: Feb 2013
Posts: 11

Rep: Reputation: Disabled
Post Error while running the command : sudo apxs -i -c mod_lisp2.c


Hello

I amgetting the following error while trying to install mod_lisp2.c. the error messages are enclose ; kindly look into the issue for a solution

sudo apxs -i -c mod_lisp2.c
/usr/lib64/apr-1/build/libtool --silent --mode=compile gcc -prefer-pic -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -Wformat-security -fno-strict-aliasing -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -pthread -I/usr/include/httpd -I/usr/include/apr-1 -I/usr/include/apr-1 -c -o mod_lisp2.lo mod_lisp2.c && touch mod_lisp2.slo
mod_lisp2.c: In function ‘open_lisp_socket’:
mod_lisp2.c:388: warning: passing argument 4 of ‘apr_socket_create’ makes integer from pointer without a cast
/usr/include/apr-1/apr_network_io.h:282: note: expected ‘int’ but argument is of type ‘struct apr_pool_t *’
mod_lisp2.c:388: error: too few arguments to function ‘apr_socket_create’
mod_lisp2.c:394: warning: implicit declaration of function ‘apr_connect’
mod_lisp2.c: In function ‘write_lisp_data’:
mod_lisp2.c:431: warning: implicit declaration of function ‘apr_send’
mod_lisp2.c: In function ‘fill_input_buffer’:
mod_lisp2.c:495: warning: implicit declaration of function ‘apr_recv’
apxs:Error: Command failed with rc=65536

kindly help to resolve this issue .

regards

barun
 
Old 03-05-2013, 05:41 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014.08, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,939

Rep: Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601
Welcome to LQ.

Which OS are you using ? ? Name and version, please.


# apxs -i -c mod_lisp2.c : Should work OK. No issues here.

-
 
1 members found this post helpful.
Old 03-05-2013, 07:07 AM   #3
barun mukhopadhyay
LQ Newbie
 
Registered: Feb 2013
Posts: 11

Original Poster
Rep: Reputation: Disabled
Hello

#uname -a output

Linux 2.6.32-279.22.1.el6.x86_64

But it is installed from open source Cent OS 6.3

Regards

barun
 
Old 03-06-2013, 02:21 AM   #4
barun mukhopadhyay
LQ Newbie
 
Registered: Feb 2013
Posts: 11

Original Poster
Rep: Reputation: Disabled
Hello

PLs suggest how to overcome this error .

regards

barun
 
Old 03-06-2013, 08:34 AM   #5
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014.08, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,939

Rep: Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601
CentOS 6.x - 64.

1) su <enter-root-password>

2) yum install httpd-devel.x86_64

3) /usr/sbin/apxs -i -c mod_lisp2.c
.... The reply is : ""-----------------
Libraries have been installed in:
/usr/lib64/httpd/modules

If you ever happen to want to link against installed libraries ..""

'mod_lisp2.c' : wget http://www.fractalconcept.com:8000/p...sp/mod_lisp2.c

-
 
Old 03-07-2013, 03:40 AM   #6
barun mukhopadhyay
LQ Newbie
 
Registered: Feb 2013
Posts: 11

Original Poster
Rep: Reputation: Disabled
Hello

Thanks for your reply .

I ran the command :

#yum -y install httpd-devel.x86_64

the following message :

package httpd-devel-2.2.15-15.el6.Centos.1.x86_64 already installed and latest version , nothing to do .

/usr/sbin/apxs -i -c mod_lisp2.c ======> same error .


.....what to do ... any solution
 
Old 03-07-2013, 05:29 AM   #7
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014.08, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,939

Rep: Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601
# 6 :
No errors on any of my two 64bits CentOS 6.3 / Scientific Linux SL6.3 installs.

? What's the output from : $ rpm -qa gcc

I have some gcc-4.4.6-3.el6.x86_64, and 4.4.6-4.el6.i686 on two 32bits CentOS 6.x.
No errors with any.

Updating : # yum install gcc

Have you tried
Code:
$ wget http://www.fractalconcept.com:8000/public/open-source/mod_lisp/mod_lisp2.c
... for a replacement "mod_lisp2.c" ?

-
 
Old 03-07-2013, 07:18 AM   #8
barun mukhopadhyay
LQ Newbie
 
Registered: Feb 2013
Posts: 11

Original Poster
Rep: Reputation: Disabled
Hello

Many Thanks -- let me try and get back to you within 1 hour of time .

regards

barun
 
Old 03-07-2013, 09:56 AM   #9
barun mukhopadhyay
LQ Newbie
 
Registered: Feb 2013
Posts: 11

Original Poster
Rep: Reputation: Disabled
Hello

1 ) $rpm -qa gcc

gcc-4.4.6-4.el6.x86-64

2 )# yum install gcc

gcc-4.4.6-4.el6.x86-64 -- already installed & latest version

3 ) $wget wget http://www.fractalconcept.com:8000/p...sp/mod_lisp2.c

--- connected
length :27919(27k) [text/plain]

saving to :" mod_lisp2.c"

100%
'mod_lisp2.c' saved

but the same error ----

regards
 
Old 03-07-2013, 11:48 AM   #10
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014.08, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,939

Rep: Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601
Please show the output from :

$ gcc -v
 
Old 03-08-2013, 01:05 AM   #11
barun mukhopadhyay
LQ Newbie
 
Registered: Feb 2013
Posts: 11

Original Poster
Rep: Reputation: Disabled
Hi

[root@centos_samba ~]# gcc -v
Using built-in specs.
Target: x86_64-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=http://bugzilla.redhat.com/bugzilla --enable-bootstrap --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-gnu-unique-object --enable-languages=c,c++,objc,obj-c++,java,fortran,ada --enable-java-awt=gtk --disable-dssi --with-java-home=/usr/lib/jvm/java-1.5.0-gcj-1.5.0.0/jre --enable-libgcj-multifile --enable-java-maintainer-mode --with-ecj-jar=/usr/share/java/eclipse-ecj.jar --disable-libjava-multilib --with-ppl --with-cloog --with-tune=generic --with-arch_32=i686 --build=x86_64-redhat-linux
Thread model: posix
gcc version 4.4.6 20120305 (Red Hat 4.4.6-4) (GCC)
[root@centos_samba ~]#
 
Old 03-08-2013, 07:25 AM   #12
barun mukhopadhyay
LQ Newbie
 
Registered: Feb 2013
Posts: 11

Original Poster
Rep: Reputation: Disabled
Hello

Can you take my m/c in remote by using vnc or teamviewer or maadmin ....

it is a puzzle --- still I could not solve ....

regards

barun
 
Old 03-08-2013, 09:00 AM   #13
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014.08, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,939

Rep: Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601Reputation: 2601
Don't know how to fix your OS.

? Things not yet tried : # yum reinstall gcc httpd-devel


The easy solution : The installed module is actally just one file :
/usr/lib64/httpd/modules/mod_lisp2.so , easy to copy or install as a package.

→ → mod_lisp2-0.0-1.el6.x86_64.rpm has been uploaded to :
https://docs.google.com/file/d/0B7S2...it?usp=sharing

cd Downloads/ ; # yum install mod_lisp2-0.0-1.el6.x86_64.rpm

-
 
Old 03-08-2013, 10:54 AM   #14
barun mukhopadhyay
LQ Newbie
 
Registered: Feb 2013
Posts: 11

Original Poster
Rep: Reputation: Disabled
Hi

Did as per your instruction -- perfectly done . the error is included :

echo ' Installing mod_lisp...'
Installing mod_lisp...
+ /usr/sbin/apxs -ica mod_lisp/mod_lisp2.c
/usr/lib64/apr-1/build/libtool --silent --mode=compile gcc -prefer-pic -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -Wformat-security -fno-strict-aliasing -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -pthread -I/usr/include/httpd -I/usr/include/apr-1 -I/usr/include/apr-1 -c -o mod_lisp/mod_lisp2.lo mod_lisp/mod_lisp2.c && touch mod_lisp/mod_lisp2.slo
mod_lisp/mod_lisp2.c: In function ‘open_lisp_socket’:
mod_lisp/mod_lisp2.c:388: warning: passing argument 4 of ‘apr_socket_create’ makes integer from pointer without a cast
/usr/include/apr-1/apr_network_io.h:282: note: expected ‘int’ but argument is of type ‘struct apr_pool_t *’
mod_lisp/mod_lisp2.c:388: error: too few arguments to function ‘apr_socket_create’
mod_lisp/mod_lisp2.c:394: warning: implicit declaration of function ‘apr_connect’
mod_lisp/mod_lisp2.c: In function ‘write_lisp_data’:
mod_lisp/mod_lisp2.c:431: warning: implicit declaration of function ‘apr_send’
mod_lisp/mod_lisp2.c: In function ‘fill_input_buffer’:
mod_lisp/mod_lisp2.c:495: warning: implicit declaration of function ‘apr_recv’
apxs:Error: Command failed with rc=65536
.
+ echo '

#
# mod_lisp2 configuration
#

<LocationMatch "/.*\.ucw">
LispServer 127.0.0.1 3001 ucw
SetHandler lisp-handler
</LocationMatch>

<LocationMatch "/.*\.csv">
LispServer 127.0.0.1 3001 ucw
SetHandler lisp-handler
</LocationMatch>

Alias /paragent/ "/mnt/Paragent/paragent/repos/nexus/html/"
'
+ echo ' Restarting apache...'
Restarting apache...
+ /usr/sbin/apachectl restart
apachectl: Configuration syntax error, will not run "restart":
Syntax error on line 1021 of /etc/httpd/conf/httpd.conf:
Invalid command 'LispServer', perhaps misspelled or defined by a module not included in the server configuration
+ /sbin/chkconfig httpd on
 
Old 03-14-2013, 07:21 AM   #15
barun mukhopadhyay
LQ Newbie
 
Registered: Feb 2013
Posts: 11

Original Poster
Rep: Reputation: Disabled
solved

Hello

thanks for your support and it is solved

installed the mod_lisp2-0.0-1.el6.x86_64.rpm (rpm -ivh
mod_lisp2-0.0-1.el6.x86_64.rpm )

Download mod_lisp.c and mod_lisp2.c from the below link

http://www.fractalconcept.com:8000/p...urce/mod_lisp/

and copy both the files in /usr/sbin

cd /usr/sbin
apxs -ica mod_lisp/mod_lisp2.c

regards

barun
 
  


Reply

Tags
mod-lisp, mod_lisp


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
sudo cd /root gives 'sudo: cd: command not found'. stf92 Linux - Newbie 4 03-03-2012 09:05 AM
how to specify password for sudo command when running bg process? sneakyimp Linux - Newbie 9 06-30-2010 02:14 PM
PHP APXS Error mesh2005 Linux - Software 4 12-18-2005 01:15 AM
apxs - bash: apxs: command not found -- please help me b:z Linux - General 1 05-18-2005 12:14 AM
Apache2 Mod_Security apxs command kingtas Linux - Security 4 01-24-2005 07:05 AM


All times are GMT -5. The time now is 03:09 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration